import { t as B } from "./index.esm-0G7eAEV5.js";
import { t as _sfc_main$1 } from "./ActionMessage-DRAWBZho.js";
import { A as _sfc_main$7, M as _sfc_main$6, O as _sfc_main$5, S as _sfc_main$4, dt as _sfc_main$3, p as _sfc_main$2 } from "../ssr.js";
import { t as _sfc_main$8 } from "./AdminLayout-eZgRfDMK.js";
import { useForm } from "@inertiajs/vue3";
import { Fragment, createBlock, createCommentVNode, createTextVNode, createVNode, openBlock, ref, resolveComponent, toDisplayString, unref, useSSRContext, withCtx } from "vue";
import { useI18n } from "vue-i18n";
import { ssrInterpolate, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/Setting/Mail.vue
var _sfc_main = /* @__PURE__ */ Object.assign({ layout: _sfc_main$8 }, {
	__name: "Mail",
	__ssrInlineRender: true,
	props: { current: Object },
	setup(__props) {
		const { t } = useI18n({});
		const props = __props;
		const tab_links = ref([
			{
				label: t("General Settings"),
				route: "settings.index",
				icon: "settings"
			},
			{
				label: t("Mail Settings"),
				route: "settings.mail",
				icon: "envelope"
			},
			{
				label: t("Payment Settings"),
				route: "settings.payment",
				icon: "dollar"
			},
			{
				label: t("Scale Barcode Settings"),
				route: "settings.barcode",
				icon: "scale"
			}
		]);
		if (B().has("settings.pos")) tab_links.value.push({
			label: t("POS Settings"),
			route: "settings.pos",
			icon: "pos"
		});
		if (B().has("shop.settings")) tab_links.value.push({
			label: t("Shop Settings"),
			route: "shop.settings",
			icon: "shop",
			external: true
		});
		const form = useForm({
			prefer_biller_email: props.current?.prefer_biller_email || false,
			mail: {
				from: {
					name: props.current?.mail?.from?.name || "",
					address: props.current?.mail?.from?.address || ""
				},
				default: props.current?.mail?.default || "log",
				mailers: {
					smtp: {
						host: props.current?.mail?.mailers?.smtp?.host || null,
						port: props.current?.mail?.mailers?.smtp?.port || null,
						username: props.current?.mail?.mailers?.smtp?.username || null,
						password: props.current?.mail?.mailers?.smtp?.password || null,
						encryption: props.current?.mail?.mailers?.smtp?.encryption || "tls"
					},
					sendmail: { path: props.current?.mail?.mailers?.sendmail?.path || null }
				}
			},
			services: {
				mailgun: {
					domain: props.current?.services?.mailgun?.domain || null,
					secret: props.current?.services?.mailgun?.secret || null,
					endpoint: props.current?.services?.mailgun?.endpoint || "api.mailgun.net"
				},
				postmark: { token: props.current?.services?.postmark?.token || null },
				ses: {
					key: props.current?.services?.ses?.key || null,
					secret: props.current?.services?.ses?.secret || null,
					region: props.current?.services?.ses?.region || "us-east-1"
				},
				resend: { key: props.current?.services?.resend?.key || null }
			},
			"mailersend-driver": { api_key: props.current && props.current["mailersend-driver"] ? props.current["mailersend-driver"]["api_key"] : null }
		});
		function save() {
			form.post(B("settings.mail.store"));
		}
		return (_ctx, _push, _parent, _attrs) => {
			const _component_Head = resolveComponent("Head");
			_push(`<!--[-->`);
			_push(ssrRenderComponent(_component_Head, null, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`<title${_scopeId}>${ssrInterpolate(_ctx.$t("Mail Settings"))}</title>`);
					else return [createVNode("title", null, toDisplayString(_ctx.$t("Mail Settings")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$2), { links: tab_links.value }, null, _parent));
			_push(`<div class="px-0 pt-6 pb-0 sm:px-6 sm:py-8 lg:px-8">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), { onSubmitted: save }, {
				title: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Mail Settings"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Mail Settings")), 1)];
				}),
				description: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Please configure the mail driver and settings."))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Please configure the mail driver and settings.")), 1)];
				}),
				form: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) {
						_push(`<div class="col-span-6 sm:col-span-3"${_scopeId}>`);
						_push(ssrRenderComponent(unref(_sfc_main$4), {
							label: _ctx.$t("Mail From Name"),
							modelValue: unref(form).mail.from.name,
							"onUpdate:modelValue": ($event) => unref(form).mail.from.name = $event,
							error: unref(form).errors["mail.from.name"] ? unref(form).errors["mail.from.name"].replace("mail.", "") : null
						}, null, _parent, _scopeId));
						_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
						_push(ssrRenderComponent(unref(_sfc_main$4), {
							type: "email",
							modelValue: unref(form).mail.from.address,
							"onUpdate:modelValue": ($event) => unref(form).mail.from.address = $event,
							label: _ctx.$t("Mail From Email Address"),
							error: unref(form).errors["mail.from.address"] ? unref(form).errors["mail.from.address"].replace("mail.", "") : null
						}, null, _parent, _scopeId));
						_push(`</div><div class="col-span-full"${_scopeId}>`);
						_push(ssrRenderComponent(unref(_sfc_main$5), {
							id: "prefer_biller_email",
							error: unref(form).errors.prefer_biller_email,
							checked: unref(form).prefer_biller_email,
							"onUpdate:checked": ($event) => unref(form).prefer_biller_email = $event,
							label: _ctx.$t("Please prefer store name and email")
						}, null, _parent, _scopeId));
						_push(`<p class="mt-1 text-sm text-yellow-700 dark:text-yellow-500"${_scopeId}>${ssrInterpolate(_ctx.$t("This could result in email failure depending on your mail server and biller email address."))}</p></div><div class="col-span-full"${_scopeId}>`);
						_push(ssrRenderComponent(unref(_sfc_main$6), {
							json: true,
							id: "default",
							searchable: false,
							label: _ctx.$t("Mail Driver"),
							modelValue: unref(form).mail.default,
							"onUpdate:modelValue": ($event) => unref(form).mail.default = $event,
							error: unref(form).errors["mail.default"] ? unref(form).errors["mail.default"].replace("mail.", "") : null,
							suggestions: [
								{
									value: "log",
									label: "Log to File"
								},
								{
									value: "smtp",
									label: "SMTP"
								},
								{
									value: "sendmail",
									label: "SendMail"
								},
								{
									value: "ses",
									label: "AWS SES"
								},
								{
									value: "mailgun",
									label: "Mailgun"
								},
								{
									value: "postmark",
									label: "Postmark"
								},
								{
									value: "resend",
									label: "Resend"
								}
							]
						}, null, _parent, _scopeId));
						_push(`</div>`);
						if (unref(form).mail.default == "smtp") {
							_push(`<!--[--><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Host"),
								modelValue: unref(form).mail.mailers.smtp.host,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.host = $event,
								error: unref(form).errors["mail.mailers.smtp.host"] ? unref(form).errors["mail.mailers.smtp.host"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}><div class="flex gap-x-6"${_scopeId}><div class="w-1/2"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Port"),
								modelValue: unref(form).mail.mailers.smtp.port,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.port = $event,
								error: unref(form).errors["mail.mailers.smtp.port"] ? unref(form).errors["mail.mailers.smtp.port"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="w-1/2"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$6), {
								json: true,
								label: _ctx.$t("Encryption"),
								modelValue: unref(form).mail.mailers.smtp.encryption,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.encryption = $event,
								suggestions: [
									{
										value: "",
										label: _ctx.$t("None")
									},
									{
										value: "tls",
										label: _ctx.$t("TLS")
									},
									{
										value: "ssl",
										label: _ctx.$t("SSL")
									}
								],
								error: unref(form).errors["mail.mailers.smtp.encryption"] ? unref(form).errors["mail.mailers.smtp.encryption"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div></div></div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Username"),
								modelValue: unref(form).mail.mailers.smtp.username,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.username = $event,
								error: unref(form).errors["mail.mailers.smtp.username"] ? unref(form).errors["mail.mailers.smtp.username"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Password"),
								modelValue: unref(form).mail.mailers.smtp.password,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.password = $event,
								error: unref(form).errors["mail.mailers.smtp.password"] ? unref(form).errors["mail.mailers.smtp.password"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><!--]-->`);
						} else if (unref(form).mail.default == "ses") {
							_push(`<!--[--><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Key"),
								modelValue: unref(form).services.ses.key,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.key = $event,
								error: unref(form).errors["services.ses.key"] ? unref(form).errors["services.ses.key"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Secret"),
								modelValue: unref(form).services.ses.secret,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.secret = $event,
								error: unref(form).errors["services.ses.secret"] ? unref(form).errors["services.ses.secret"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Region"),
								modelValue: unref(form).services.ses.region,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.region = $event,
								error: unref(form).errors["services.ses.region"] ? unref(form).errors["services.ses.region"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}></div><!--]-->`);
						} else if (unref(form).mail.default == "mailgun") {
							_push(`<!--[--><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Domain"),
								modelValue: unref(form).services.mailgun.domain,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.domain = $event,
								error: unref(form).errors["services.mailgun.domain"] ? unref(form).errors["services.mailgun.domain"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Secret"),
								modelValue: unref(form).services.mailgun.secret,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.secret = $event,
								error: unref(form).errors["services.mailgun.secret"] ? unref(form).errors["services.mailgun.secret"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Endpoint"),
								modelValue: unref(form).services.mailgun.endpoint,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.endpoint = $event,
								error: unref(form).errors["services.mailgun.endpoint"] ? unref(form).errors["services.mailgun.endpoint"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div><div class="col-span-6 sm:col-span-3"${_scopeId}></div><!--]-->`);
						} else if (unref(form).mail.default == "postmark") {
							_push(`<div class="col-span-full"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("Postmark Token"),
								modelValue: unref(form).services.postmark.token,
								"onUpdate:modelValue": ($event) => unref(form).services.postmark.token = $event,
								error: unref(form).errors["services.postmark.token"] ? unref(form).errors["services.postmark.token"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div>`);
						} else if (unref(form).mail.default == "resend") {
							_push(`<div class="col-span-full"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("Resend Key"),
								modelValue: unref(form).services.resend.key,
								"onUpdate:modelValue": ($event) => unref(form).services.resend.key = $event,
								error: unref(form).errors["services.resend.key"] ? unref(form).errors["services.resend.key"].replace("services.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div>`);
						} else if (unref(form).mail.default == "mailersend") {
							_push(`<div class="col-span-full"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("MailerSend API Key"),
								modelValue: unref(form)["mailersend-driver"].api_key,
								"onUpdate:modelValue": ($event) => unref(form)["mailersend-driver"].api_key = $event,
								error: unref(form).errors["mailersend-driver.api_key"] ? unref(form).errors["mailersend-driver.api_key"] : null
							}, null, _parent, _scopeId));
							_push(`</div>`);
						} else if (unref(form).mail.default == "sendmail") {
							_push(`<div class="col-span-full"${_scopeId}>`);
							_push(ssrRenderComponent(unref(_sfc_main$4), {
								label: _ctx.$t("SendMail Path"),
								modelValue: unref(form).mail.mailers.sendmail.path,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.sendmail.path = $event,
								error: unref(form).errors["mail.mailers.sendmail.path"] ? unref(form).errors["mail.mailers.sendmail.path"].replace("mail.mailers.", "") : null
							}, null, _parent, _scopeId));
							_push(`</div>`);
						} else _push(`<!---->`);
					} else return [
						createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
							label: _ctx.$t("Mail From Name"),
							modelValue: unref(form).mail.from.name,
							"onUpdate:modelValue": ($event) => unref(form).mail.from.name = $event,
							error: unref(form).errors["mail.from.name"] ? unref(form).errors["mail.from.name"].replace("mail.", "") : null
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])]),
						createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
							type: "email",
							modelValue: unref(form).mail.from.address,
							"onUpdate:modelValue": ($event) => unref(form).mail.from.address = $event,
							label: _ctx.$t("Mail From Email Address"),
							error: unref(form).errors["mail.from.address"] ? unref(form).errors["mail.from.address"].replace("mail.", "") : null
						}, null, 8, [
							"modelValue",
							"onUpdate:modelValue",
							"label",
							"error"
						])]),
						createVNode("div", { class: "col-span-full" }, [createVNode(unref(_sfc_main$5), {
							id: "prefer_biller_email",
							error: unref(form).errors.prefer_biller_email,
							checked: unref(form).prefer_biller_email,
							"onUpdate:checked": ($event) => unref(form).prefer_biller_email = $event,
							label: _ctx.$t("Please prefer store name and email")
						}, null, 8, [
							"error",
							"checked",
							"onUpdate:checked",
							"label"
						]), createVNode("p", { class: "mt-1 text-sm text-yellow-700 dark:text-yellow-500" }, toDisplayString(_ctx.$t("This could result in email failure depending on your mail server and biller email address.")), 1)]),
						createVNode("div", { class: "col-span-full" }, [createVNode(unref(_sfc_main$6), {
							json: true,
							id: "default",
							searchable: false,
							label: _ctx.$t("Mail Driver"),
							modelValue: unref(form).mail.default,
							"onUpdate:modelValue": ($event) => unref(form).mail.default = $event,
							error: unref(form).errors["mail.default"] ? unref(form).errors["mail.default"].replace("mail.", "") : null,
							suggestions: [
								{
									value: "log",
									label: "Log to File"
								},
								{
									value: "smtp",
									label: "SMTP"
								},
								{
									value: "sendmail",
									label: "SendMail"
								},
								{
									value: "ses",
									label: "AWS SES"
								},
								{
									value: "mailgun",
									label: "Mailgun"
								},
								{
									value: "postmark",
									label: "Postmark"
								},
								{
									value: "resend",
									label: "Resend"
								}
							]
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])]),
						unref(form).mail.default == "smtp" ? (openBlock(), createBlock(Fragment, { key: 0 }, [
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Host"),
								modelValue: unref(form).mail.mailers.smtp.host,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.host = $event,
								error: unref(form).errors["mail.mailers.smtp.host"] ? unref(form).errors["mail.mailers.smtp.host"].replace("mail.mailers.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode("div", { class: "flex gap-x-6" }, [createVNode("div", { class: "w-1/2" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Port"),
								modelValue: unref(form).mail.mailers.smtp.port,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.port = $event,
								error: unref(form).errors["mail.mailers.smtp.port"] ? unref(form).errors["mail.mailers.smtp.port"].replace("mail.mailers.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]), createVNode("div", { class: "w-1/2" }, [createVNode(unref(_sfc_main$6), {
								json: true,
								label: _ctx.$t("Encryption"),
								modelValue: unref(form).mail.mailers.smtp.encryption,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.encryption = $event,
								suggestions: [
									{
										value: "",
										label: _ctx.$t("None")
									},
									{
										value: "tls",
										label: _ctx.$t("TLS")
									},
									{
										value: "ssl",
										label: _ctx.$t("SSL")
									}
								],
								error: unref(form).errors["mail.mailers.smtp.encryption"] ? unref(form).errors["mail.mailers.smtp.encryption"].replace("mail.mailers.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"suggestions",
								"error"
							])])])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Username"),
								modelValue: unref(form).mail.mailers.smtp.username,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.username = $event,
								error: unref(form).errors["mail.mailers.smtp.username"] ? unref(form).errors["mail.mailers.smtp.username"].replace("mail.mailers.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("SMTP Password"),
								modelValue: unref(form).mail.mailers.smtp.password,
								"onUpdate:modelValue": ($event) => unref(form).mail.mailers.smtp.password = $event,
								error: unref(form).errors["mail.mailers.smtp.password"] ? unref(form).errors["mail.mailers.smtp.password"].replace("mail.mailers.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])])
						], 64)) : unref(form).mail.default == "ses" ? (openBlock(), createBlock(Fragment, { key: 1 }, [
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Key"),
								modelValue: unref(form).services.ses.key,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.key = $event,
								error: unref(form).errors["services.ses.key"] ? unref(form).errors["services.ses.key"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Secret"),
								modelValue: unref(form).services.ses.secret,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.secret = $event,
								error: unref(form).errors["services.ses.secret"] ? unref(form).errors["services.ses.secret"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("AWS SES Region"),
								modelValue: unref(form).services.ses.region,
								"onUpdate:modelValue": ($event) => unref(form).services.ses.region = $event,
								error: unref(form).errors["services.ses.region"] ? unref(form).errors["services.ses.region"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" })
						], 64)) : unref(form).mail.default == "mailgun" ? (openBlock(), createBlock(Fragment, { key: 2 }, [
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Domain"),
								modelValue: unref(form).services.mailgun.domain,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.domain = $event,
								error: unref(form).errors["services.mailgun.domain"] ? unref(form).errors["services.mailgun.domain"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Secret"),
								modelValue: unref(form).services.mailgun.secret,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.secret = $event,
								error: unref(form).errors["services.mailgun.secret"] ? unref(form).errors["services.mailgun.secret"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" }, [createVNode(unref(_sfc_main$4), {
								label: _ctx.$t("Mailgun Endpoint"),
								modelValue: unref(form).services.mailgun.endpoint,
								"onUpdate:modelValue": ($event) => unref(form).services.mailgun.endpoint = $event,
								error: unref(form).errors["services.mailgun.endpoint"] ? unref(form).errors["services.mailgun.endpoint"].replace("services.", "") : null
							}, null, 8, [
								"label",
								"modelValue",
								"onUpdate:modelValue",
								"error"
							])]),
							createVNode("div", { class: "col-span-6 sm:col-span-3" })
						], 64)) : unref(form).mail.default == "postmark" ? (openBlock(), createBlock("div", {
							key: 3,
							class: "col-span-full"
						}, [createVNode(unref(_sfc_main$4), {
							label: _ctx.$t("Postmark Token"),
							modelValue: unref(form).services.postmark.token,
							"onUpdate:modelValue": ($event) => unref(form).services.postmark.token = $event,
							error: unref(form).errors["services.postmark.token"] ? unref(form).errors["services.postmark.token"].replace("services.", "") : null
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])])) : unref(form).mail.default == "resend" ? (openBlock(), createBlock("div", {
							key: 4,
							class: "col-span-full"
						}, [createVNode(unref(_sfc_main$4), {
							label: _ctx.$t("Resend Key"),
							modelValue: unref(form).services.resend.key,
							"onUpdate:modelValue": ($event) => unref(form).services.resend.key = $event,
							error: unref(form).errors["services.resend.key"] ? unref(form).errors["services.resend.key"].replace("services.", "") : null
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])])) : unref(form).mail.default == "mailersend" ? (openBlock(), createBlock("div", {
							key: 5,
							class: "col-span-full"
						}, [createVNode(unref(_sfc_main$4), {
							label: _ctx.$t("MailerSend API Key"),
							modelValue: unref(form)["mailersend-driver"].api_key,
							"onUpdate:modelValue": ($event) => unref(form)["mailersend-driver"].api_key = $event,
							error: unref(form).errors["mailersend-driver.api_key"] ? unref(form).errors["mailersend-driver.api_key"] : null
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])])) : unref(form).mail.default == "sendmail" ? (openBlock(), createBlock("div", {
							key: 6,
							class: "col-span-full"
						}, [createVNode(unref(_sfc_main$4), {
							label: _ctx.$t("SendMail Path"),
							modelValue: unref(form).mail.mailers.sendmail.path,
							"onUpdate:modelValue": ($event) => unref(form).mail.mailers.sendmail.path = $event,
							error: unref(form).errors["mail.mailers.sendmail.path"] ? unref(form).errors["mail.mailers.sendmail.path"].replace("mail.mailers.", "") : null
						}, null, 8, [
							"label",
							"modelValue",
							"onUpdate:modelValue",
							"error"
						])])) : createCommentVNode("", true)
					];
				}),
				actions: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) {
						_push(ssrRenderComponent(unref(_sfc_main$1), {
							on: unref(form).recentlySuccessful,
							class: "me-3"
						}, {
							default: withCtx((_, _push, _parent, _scopeId) => {
								if (_push) _push(`${ssrInterpolate(_ctx.$t("Saved."))}`);
								else return [createTextVNode(toDisplayString(_ctx.$t("Saved.")), 1)];
							}),
							_: 1
						}, _parent, _scopeId));
						_push(ssrRenderComponent(unref(_sfc_main$7), {
							class: { "opacity-25": unref(form).processing },
							loading: unref(form).processing
						}, {
							default: withCtx((_, _push, _parent, _scopeId) => {
								if (_push) _push(`${ssrInterpolate(_ctx.$t("Save"))}`);
								else return [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)];
							}),
							_: 1
						}, _parent, _scopeId));
					} else return [createVNode(unref(_sfc_main$1), {
						on: unref(form).recentlySuccessful,
						class: "me-3"
					}, {
						default: withCtx(() => [createTextVNode(toDisplayString(_ctx.$t("Saved.")), 1)]),
						_: 1
					}, 8, ["on"]), createVNode(unref(_sfc_main$7), {
						class: { "opacity-25": unref(form).processing },
						loading: unref(form).processing
					}, {
						default: withCtx(() => [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)]),
						_: 1
					}, 8, ["class", "loading"])];
				}),
				_: 1
			}, _parent));
			_push(`</div><!--]-->`);
		};
	}
});
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Setting/Mail.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
